> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# Get logs for an agent

GET https://api.x.flatfile.com/v1/agents/{agentId}/logs

Reference: https://reference.flatfile.com/api-reference/agents/get-agent-logs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `agentId` (string, required) — Agent ID

### Query parameters

- `environmentId` (string, required) — Environment ID

## Response

### 200

- `pagination` (Pagination, optional) — pagination info
- `data` (list of AgentLog, optional)

## Errors

### 400 Bad Request Error

- `errors` (list of Error, required)

### 404 Not Found Error

- `errors` (list of Error, required)

## Types

### Pagination

pagination info

- `currentPage` (integer, required) — current page of results
- `pageCount` (integer, required) — total number of pages of results
- `totalCount` (integer, required) — total available results

### AgentLog

A log of an agent execution

- `id` (string, required) — Agent Log ID
- `agentId` (string, required) — Agent ID
- `eventId` (string, required) — Event ID
- `success` (boolean, required) — Whether the agent execution was successful
- `createdAt` (string, required)
- `completedAt` (string, required)
- `log` (string, optional) — The log of the agent execution
- `queueLag` (integer, optional) — The time difference between when the event was created and when the agent started processing it
- `namespaces` (list of string, optional) — The namespaces associated with the event
- `context` (map from string to any, optional) — The context of the agent execution
- `topic` (string, optional) — The topic of the agent execution
- `duration` (integer, optional) — The duration of the agent execution in milliseconds
- `memoryUsage` (integer, optional) — The memory usage of the agent execution in bytes
- `requestTime` (integer, optional) — The amount of time the agent spent making HTTP requests in milliseconds
- `requestCount` (integer, optional) — The number of HTTP requests made by the agent
- `bytesReceived` (integer, optional) — The total amount of data received by the agent during execution in bytes
- `bytesSent` (integer, optional) — The total amount of data sent by the agent during execution in bytes

### Error

- `message` (string, required)
- `key` (string, optional)

## Examples

**Response**

```json
{
  "pagination": {
    "currentPage": 3,
    "pageCount": 50,
    "totalCount": 100
  },
  "data": [
    {
      "id": "us_lg_YOUR_ID",
      "agentId": "us_ag_YOUR_ID",
      "eventId": "us_evt_YOUR_ID",
      "success": true,
      "createdAt": "2022-09-18T00:19:57.007Z",
      "completedAt": "2022-09-18T00:20:04.007Z",
      "log": "SUCCESS",
      "queueLag": 100,
      "namespaces": [
        "space:blue"
      ],
      "context": {},
      "topic": "space:created",
      "duration": 7000,
      "memoryUsage": 524,
      "requestTime": 1500,
      "requestCount": 5,
      "bytesReceived": 1024,
      "bytesSent": 2048
    }
  ]
}
```

**SDK Code**

```python Example0
import requests

url = "https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs"

querystring = {"environmentId":"us_env_YOUR_ID"}

headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```typescript Example0
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.agents.getAgentLogs("us_ag_YOUR_ID", {
    environmentId: "us_env_YOUR_ID"
});

```

```go Example0
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example0
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example0
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example0
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp Example0
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example0
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID/logs?environmentId=us_env_YOUR_ID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```